\connect - webmaster
CREATE SEQUENCE "manufacturer_id_seq" start 9 increment 1 maxvalue 2147483647 minvalue 1  cache 1 ;
SELECT nextval ('manufacturer_id_seq');
CREATE SEQUENCE "elt_type_id_seq" start 8 increment 1 maxvalue 2147483647 minvalue 1  cache 1 ;
SELECT nextval ('elt_type_id_seq');
CREATE SEQUENCE "computers_id_seq" start 2 increment 1 maxvalue 2147483647 minvalue 1  cache 1 ;
SELECT nextval ('computers_id_seq');
CREATE SEQUENCE "components_id_seq" start 6 increment 1 maxvalue 2147483647 minvalue 1  cache 1 ;
SELECT nextval ('components_id_seq');
CREATE TABLE "manufacturer" (
	"id" int4 DEFAULT nextval ( 'manufacturer_id_seq' ) NOT NULL,
	"name" character varying(30));
CREATE TABLE "computers" (
	"id" int4 DEFAULT nextval ( 'computers_id_seq' ) NOT NULL,
	"name" character varying(30) DEFAULT 'MyComp',
	"price" float8);
CREATE TABLE "components" (
	"id" int4 DEFAULT nextval ( 'components_id_seq' ) NOT NULL,
	"compid" int4 NOT NULL,
	"eltid" int4 NOT NULL);
CREATE TABLE "elt_type" (
	"id" int4 NOT NULL,
	"manufid" int4,
	"name" character varying(30) NOT NULL,
	"price" float4,
	"ref" character varying(10) NOT NULL,
	"descr" text);
CREATE TABLE "used_computers" (
	"ip" cidr NOT NULL,
	"name" character varying(20),
	"compid" int4 NOT NULL);
CREATE TABLE "myview" (
	"id" int4,
	"compid" int4);
INSERT INTO "manufacturer" VALUES (1,'AMD');
INSERT INTO "manufacturer" VALUES (2,'Intel');
INSERT INTO "manufacturer" VALUES (3,'3com');
INSERT INTO "manufacturer" VALUES (4,'Dell');
INSERT INTO "manufacturer" VALUES (5,'Iiyama');
INSERT INTO "manufacturer" VALUES (6,'J Bond');
INSERT INTO "manufacturer" VALUES (7,'Asus Tech');
INSERT INTO "manufacturer" VALUES (8,'Hewlet Packard');
INSERT INTO "manufacturer" VALUES (9,'Sony');
INSERT INTO "computers" VALUES (1,'Computer 1',400);
INSERT INTO "computers" VALUES (2,'Computer 2',452);
INSERT INTO "components" VALUES (1,1,4);
INSERT INTO "components" VALUES (2,1,1);
INSERT INTO "components" VALUES (3,1,5);
INSERT INTO "components" VALUES (4,1,8);
INSERT INTO "components" VALUES (5,2,2);
INSERT INTO "components" VALUES (6,2,1);
INSERT INTO "elt_type" VALUES (1,4,'Keyboard',NULL,'Keyb',NULL);
INSERT INTO "elt_type" VALUES (2,1,'K6',89,'K6','233MHz');
INSERT INTO "elt_type" VALUES (3,2,'Pentium III',120,'P3','450 MHz');
INSERT INTO "elt_type" VALUES (4,1,'Athlon',NULL,'ATHL','700 MHz');
INSERT INTO "elt_type" VALUES (5,6,'MotherBoard',NULL,'MTB Jbond',NULL);
INSERT INTO "elt_type" VALUES (6,7,'MotherBoard',NULL,'MTB ASUS',NULL);
INSERT INTO "elt_type" VALUES (8,9,'Screen 20''',NULL,'SON 20',NULL);
INSERT INTO "elt_type" VALUES (7,5,'Screen 17''',500,'IIL 17','Very nice...');
INSERT INTO "used_computers" VALUES ('172.68.49.23/32','main',1);
CREATE UNIQUE INDEX "manufacturer_id_key" on "manufacturer" using btree ( "id" "int4_ops" );
CREATE UNIQUE INDEX "components_id_key" on "components" using btree ( "id" "int4_ops" );
CREATE UNIQUE INDEX "computers_id_key" on "computers" using btree ( "id" "int4_ops" );
CREATE RULE "_RETmyview" AS ON SELECT TO "myview" DO INSTEAD SELECT "components"."id", "components"."compid" FROM "components";
