/* gasql_xml.h
 *
 * Copyright (C) 1999 Vivien Malerba
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 */

#ifndef _GASQL_XML_H
#define _GASQL_XML_H

#include <config.h>
#include <gnome.h>
#include <gnome-xml/tree.h>
#include <gnome-xml/parser.h>

typedef gpointer (*gasqlXmlUpdateRef1) (gpointer, gchar *);
typedef gpointer (*gasqlXmlUpdateRef2) (gpointer, gchar *, gchar *);
#define GASQL_XML_UPDATE_REF1(f) ((gasqlXmlUpdateRef1) f)
#define GASQL_XML_UPDATE_REF2(f) ((gasqlXmlUpdateRef2) f)

typedef struct _gasqlXmlNodeRef {
  gchar *txt;
  gchar *txt2;
  gpointer *to_replace;
} gasqlXmlNodeRef;

/* This funtion removes ANY space, \n or \t from an allocated
   string:
   will reallocate a string, the one given as argument will be 
   freed */
gchar *gasql_xml_clean_string(gchar *str);

/* This funtion removes ANY space, \n or \t from an allocated
   string at the beginning or the end of a string:
   will reallocate a string, the one given as argument will be 
   freed */
gchar *gasql_xml_clean_string_ends(gchar *str);


/* parses the list of references to solve them, and returns the ones 
   which haven't been solved */
GSList *gasql_xml_update_ref1(GSList *refs, gpointer param, 
			      gasqlXmlUpdateRef1 func);
GSList *gasql_xml_update_ref2(GSList *refs, gpointer param, 
			      gasqlXmlUpdateRef2 func);


/* WARNING: txt needs to be an allocated string and MUST NOT be freed! 
   give NULL as the list argument for the beginning of the list */
GSList *gasql_xml_append_ref_list(GSList *list, 
				  gchar *txt, gchar *txt2,
				  gpointer *to_replace);

/* takes care of freeing any text allocated and not used anymore */
GSList *gasql_xml_remove_ref_list(GSList *list, GSList *node);
#endif
