/* interface_cb.h
 *
 * Copyright (C) 1999,2000 Vivien Malerba
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 */

#include <config.h>
#include <gnome.h>
#include "gasql_conf.h"
#include "sqlquery.h"
#include "gnome-db-login.h"
#include "choicecombo.h"

/* print some information about the server's connexion's state */
void sql_server_conn_open_cb(GtkObject *wid, gpointer data);
void sql_server_conn_to_close_cb(GtkObject *wid, gpointer data);
void sql_server_conn_close_cb(GtkObject *wid, gpointer data);

void sql_conn_open_cb (GtkWidget *widget, void *data);
void sql_conn_close_cb (GtkWidget *widget, void *data);
void options_config_cb (GtkWidget *widget, void *data);

/* CB to link the "fault" signal of SqlDb to the disconnecting
   of the main SLQ sever */
void access_db_link_cb(GtkObject *obj, gpointer data);

/* Cb to view the DB relations. data points to a gASQL_Main_Config 
   object */
void sql_show_relations_cb(GtkObject *obj, gpointer data);


/* cb to update the conf->widdbrel_list for tables or sequences that
   are destroyed */
void wid_db_rel_list_update(GtkObject *obj, gpointer item, gpointer data);

/* Cb to catch the SQL server errors. data points to a gASQL_Main_Config 
   object */
void sql_server_catch_errors_cb(GtkWidget *wid, GList *list, 
				gASQL_Main_Config *conf);

void sql_data_view_cb(GtkWidget *widget, void *data);
void sql_mem_update_cb(GtkWidget *widget, void *data);
void sql_conf_update_save_flag(GtkObject *widget, void *data);

/* some callbacks from the FILE menu */
gint set_opened_file(gASQL_Main_Config *conf, gchar *filetxt);
void file_new_cb (GtkWidget *widget, gASQL_Main_Config *conf);
void file_open_cb (GtkWidget *widget, void *data);
void file_close_cb (GtkWidget *widget, void *data);
void file_save_cb (GtkWidget *widget, void *data);
void file_save_as_cb (GtkWidget *widget, void *data);

/* CB to display sth when updating the DB structure */
void progress_cb(GtkObject *obj, gchar *msg, guint now, guint total, 
		 gASQL_Main_Config *conf);

/* plugins callbacks */
void rescan_display_plugins_cb(GtkObject *obj, gASQL_Main_Config *conf);
void config_display_plugins_cb(GtkObject *obj, gASQL_Main_Config *conf);

/* Configuration of the DBMS using bonobo controls */
void bonobo_needed_cb (GtkWidget *widget, gASQL_Main_Config *conf);
void users_settings_cb(GtkObject *obj, gASQL_Main_Config *conf);
void users_access_cb(GtkObject *obj, gASQL_Main_Config *conf);
void users_groups_cb(GtkObject *obj, gASQL_Main_Config *conf);
